# Uses of Class
org.globus.gsi.gssapi.auth.AuthorizationException

Packages that use AuthorizationException
Package
Description
org.globus.gsi.gssapi.auth
org.globus.myproxy
This package provides a MyProxy client API.

## Uses of AuthorizationException in org.globus.gsi.gssapi.auth

Methods in org.globus.gsi.gssapi.auth that throw AuthorizationException
Modifier and Type
Method
Description
`abstract void`
Authorization.`authorize(GSSContext context, String host)`
Performes authorization checks.
`void`
HostAuthorization.`authorize(GSSContext context, String host)`
Performs host authentication.
`void`
HostOrSelfAuthorization.`authorize(GSSContext context, String host)`
Performs host authorization.
`void`
IdentityAuthorization.`authorize(GSSContext context, String host)`
Performs identity authorization.
`void`
NoAuthorization.`authorize(GSSContext context, String host)`
Performs no authorization checks.
`void`
SelfAuthorization.`authorize(GSSContext context, String host)`
Performs self authorization.
`protected void`
Authorization.`generateAuthorizationException(GSSName expected, GSSName target)`

## Uses of AuthorizationException in org.globus.myproxy

Methods in org.globus.myproxy that throw AuthorizationException
Modifier and Type
Method
Description
`void`
MyProxyServerAuthorization.`authorize(GSSContext context, String host)`
Performs MyProxy server authorization checks.